Bug 1595588 - CVE-2018-1000537 lulzbot-marlin-firmware: marlin: Buffer overflow in cardreader.cpp [fedora-all]
Summary: CVE-2018-1000537 lulzbot-marlin-firmware: marlin: Buffer overflow in cardread...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lulzbot-marlin-firmware
Version: 28
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-1000537
TreeView+ depends on / blocked
 
Reported: 2018-06-27 08:02 UTC by Andrej Nemec
Modified: 2018-08-23 10:31 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-23 09:43:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-06-27 08:02:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2018-06-27 08:02:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1595587,1595588

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Miro Hrončok 2018-06-27 08:38:08 UTC
Trying to apply upstream patch.

Comment 3 Miro Hrončok 2018-06-27 09:00:35 UTC
Ready for testing in:

https://src.fedoraproject.org/rpms/lulzbot-marlin-firmware/pull-request/1

However I am currently not able.

Comment 4 Fedora Update System 2018-07-30 14:54:08 UTC
python-uranium-lulzbot-3.2.23-1.fc27 CuraEngine-lulzbot-3.2.23-1.fc27 cura-lulzbot-3.2.23-1.fc27 lulzbot-marlin-firmware-1.1.8.62-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-394a827406

Comment 5 Fedora Update System 2018-07-30 14:54:19 UTC
python-uranium-lulzbot-3.2.23-1.fc28 CuraEngine-lulzbot-3.2.23-1.fc28 cura-lulzbot-3.2.23-1.fc28 lulzbot-marlin-firmware-1.1.8.62-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a9777480c

Comment 6 Fedora Update System 2018-07-31 15:24:39 UTC
CuraEngine-lulzbot-3.2.23-1.fc27, cura-lulzbot-3.2.23-1.fc27, lulzbot-marlin-firmware-1.1.8.62-1.fc27, python-uranium-lulzbot-3.2.23-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-394a827406

Comment 7 Fedora Update System 2018-07-31 18:32:19 UTC
CuraEngine-lulzbot-3.2.23-1.fc28, cura-lulzbot-3.2.23-1.fc28, lulzbot-marlin-firmware-1.1.8.62-1.fc28, python-uranium-lulzbot-3.2.23-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a9777480c

Comment 8 Fedora Update System 2018-08-23 09:43:33 UTC
CuraEngine-lulzbot-3.2.23-1.fc27, cura-lulzbot-3.2.23-1.fc27, lulzbot-marlin-firmware-1.1.8.62-1.fc27, python-uranium-lulzbot-3.2.23-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-08-23 10:31:56 UTC
CuraEngine-lulzbot-3.2.23-1.fc28, cura-lulzbot-3.2.23-1.fc28, lulzbot-marlin-firmware-1.1.8.62-1.fc28, python-uranium-lulzbot-3.2.23-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.